Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## toxi.volume
Class VolumetricSpace

    java.lang.Object
      toxi.volume.VolumetricSpace

Direct Known Subclasses:
  VolumetricHashMap, VolumetricSpaceArray

    public abstract class VolumetricSpace

extends java.lang.Object

Field Summary
`toxi.geom.Vec3D` | `halfScale`
`int` | `numCells`
`int` | `resX`
`int` | `resX1`
`int` | `resY`
`int` | `resY1`
`int` | `resZ`
`int` | `resZ1`
`toxi.geom.Vec3D` | `scale`
`int` | `sliceRes`
`toxi.geom.Vec3D` | `voxelSize`

Constructor Summary
`VolumetricSpace(toxi.geom.Vec3D scale, int resX, int resY, int resZ)`

Method Summary
`abstract void` | `clear()`
`void` | `closeSides()`
`int` | `getIndexFor(int x, int y, int z)`
`toxi.geom.Vec3D` | `getResolution()`
`toxi.geom.Vec3D` | `getScale()`
`abstract float` | `getVoxelAt(int index)`
`void` | `setScale(toxi.geom.Vec3D scale)`
`void` | `setVoxelAt(int index, float value)`
`void` | `setVoxelAt(int x, int y, int z, float value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### resX

    public final int resX

### resY

    public final int resY

### resZ

    public final int resZ

### resX1

    public final int resX1

### resY1

    public final int resY1

### resZ1

    public final int resZ1

### sliceRes

    public final int sliceRes

### scale

    public final toxi.geom.Vec3D scale

### halfScale

    public final toxi.geom.Vec3D halfScale

### voxelSize

    public final toxi.geom.Vec3D voxelSize

### numCells

    public final int numCells

Constructor Detail

### VolumetricSpace

    public VolumetricSpace(toxi.geom.Vec3D scale,
                           int resX,
                           int resY,
                           int resZ)

Method Detail

### clear

    public abstract void clear()

### closeSides

    public void closeSides()

### getIndexFor

    public final int getIndexFor(int x,
                                 int y,
                                 int z)

### getResolution

    public final toxi.geom.Vec3D getResolution()

### getScale

    public final toxi.geom.Vec3D getScale()

  Returns:
    the scale

### getVoxelAt

    public abstract float getVoxelAt(int index)

### setScale

    public final void setScale(toxi.geom.Vec3D scale)

  Parameters:
    `scale` - the scale to set

### setVoxelAt

    public void setVoxelAt(int index,
                           float value)

### setVoxelAt

    public void setVoxelAt(int x,
                           int y,
                           int z,
                           float value)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD